<?php
//exit;
date_default_timezone_set ( "America/Lima" ); 

define('SF_ROOT_DIR', "/home/credunion/public_html/carlin");
//define('SF_ROOT_DIR', "C://wamp/www/credisur");
define('SF_APP',      'sys');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');


$con= Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);

$dia = date('N');

if($dia == 7) exit;


if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}


	//Debe ser un 
	//Esta tarea no debe ejecutarse el domingo
	
$sql = "SELECT 	Max(Fecha) as Fecha
		FROM 	`cr_asistencia` 
		WHERE 	1=1 
		LIMIT 	0,1
		";
	
$result = mysql_query($sql,$con);
if(mysql_num_rows($result) > 0 ){
	while($row = mysql_fetch_array($result)){
		$Fecha = $row['Fecha'];
	}
}

if(!$Fecha) $Fecha = date('Y-m-d');

//$Fecha = "2020-11-04";

$sql = "SELECT 	IdSucursal
		FROM 	`cr_sucursal` 
		WHERE 	1=1  -- and (idsucursal=4 or idsucursal= 7 or idsucursal= 2)
		AND eliminado = '0' 
		";
	
$resultS = mysql_query($sql,$con);
if(mysql_num_rows($resultS) > 0 ){
	while($rowS = mysql_fetch_array($resultS)){
		$IdSucursal = $rowS['IdSucursal'];		
		
				
		
		
		$fecha_con_retrazo = date('Y-m-d',strtotime($fecha." -".$dias_retrazo." day"));
		
		$sql = "SELECT 		IdAdministrador
				FROM 		`cr_sucursal` 
				WHERE 	1=1 				
						and IdSucursal = '".$IdSucursal."'
					";
		
		$result = mysql_query($sql,$con);
		if(mysql_num_rows($result) > 0 ){
			while($row = mysql_fetch_array($result)){
				$IdAdministrador = $row['IdAdministrador'];
			
			
				//Buscar los colaboradores incluido el administrador
				
				$sql = "SELECT 	IdColaborador, Sueldo
						FROM 	`cr_colaborador` 
						WHERE 	1=1 				
								and ( IdPadre= '".$IdAdministrador."' or idcolaborador='".$IdAdministrador."')
								and eliminado = '0'
							";
				echo $sql;	
				$resultC = mysql_query($sql,$con);
				if(mysql_num_rows($resultC) > 0 ){
					while($rowC = mysql_fetch_array($resultC)){
						
						$sql = "SELECT 	IdSucursal
								FROM 	`cr_sucursal` 
								WHERE 	1=1 				
										and  IdAdministrador = '".$IdAdministrador."' 
									";
						echo $sql."<br>";	
						$result1 = mysql_query($sql,$con);
						if(mysql_num_rows($result1) > 0 ){
							while($row1 = mysql_fetch_array($result1)){
								$IdSucursalF = $row1['IdSucursal'];
							}
						}
						
						$IdColaborador = $rowC['IdColaborador'];
						
						$sql = "SELECT 	IdColaborador,TipoAsistencia,IdAsistencia,TipoRegistro
								FROM 	`cr_asistencia` 
								WHERE 	1=1 				
										and  IdColaborador = '".$IdColaborador."' 
										and  Fecha = '".$Fecha."' 
										and  eliminado = '-1'
									";
						echo $sql."<br>";	
						$resultA = mysql_query($sql,$con);
						if(mysql_num_rows($resultA) == 0 ){
							$Sueldo 		= $rowC['Sueldo'];
														
							$o_RhMarcacionColaboradorFN = new RhMarcacionColaboradorFN();
							$o_RhMarcacionColaboradorFN->setIdcolaborador($IdColaborador); 	
							$o_RhMarcacionColaboradorFN->setIdregistro("I"); 	
							$o_RhMarcacionColaboradorFN->setIdtipo("N"); 	
							$o_RhMarcacionColaboradorBN = $o_RhMarcacionColaboradorFN->selectByPK();
							$Ingreso = $o_RhMarcacionColaboradorBN->getHoraminutoinicio();
							
							
							$FechaCreacion  = date('Y-m-d H:i:s');
							$HoraMinutoPactado = date('Y-m-d')." ".$Ingreso.":00";
							$descuento 		= round($Sueldo/30,2);
							$comentario 	= "Sueldo - ".$Sueldo;
							$sql = "
					    		insert into cr_asistencia
					    		(
					    		IdAsistencia,IdColaborador,TipoAsistencia,HoraMinutoPactado,Fecha,Monto,Estado,TipoRegistro,
					    		Comentario,UsuarioCreacion,FechaCreacion,IdSucursal
					    		)
					    		values
					    		(
					    		null,'".$IdColaborador."','F','".$HoraMinutoPactado."','".$Fecha."','".$descuento."','A','99',
					    		'".$comentario."','sys.system','".$FechaCreacion."','".$IdSucursalF."'
					    		)
						    	";
						   	echo $sql."<br>";
						   	$result_i = mysql_db_query(Conexion::getNameDb(), $sql, $con);
						   	$idref = mysql_insert_id($con);
						}else{
							while($rowA = mysql_fetch_array($resultA)){
								$TipoAsistencia	= $rowA['TipoAsistencia'];
								$IdAsistencia	= $rowA['IdAsistencia'];
								$TipoRegistro	= $rowA['TipoRegistro'];
								if($TipoAsistencia == "" && $TipoRegistro=='1'){
									$Sueldo 		= $rowC['Sueldo'];
									
									$descuento 		= round($Sueldo/30,2);
									$comentario 	= "Sueldo - ".$Sueldo;
									$sql = "
										update cr_asistencia
										set TipoAsistencia='F',
										TipoRegistro = '99',
										Monto ='".$descuento."'
										where
										IdAsistencia =".$IdAsistencia."
										";
									echo $sql."<br>";
									$result_i = mysql_db_query(Conexion::getNameDb(), $sql, $con);
									$idref = mysql_insert_id($con);
								}
								
							}
						}
					}
					
				}
			}
			
		}
	}
}
?>